GET /insights/v1/nfts/collections/{contract_address}
Retrieve metadata about a collection

Path Parameters

contract_address string required path
Example: "vitalik.eth"

Query Parameters

chain number[] optional query
Use chain_id instead
Example: [20,56,1]
chain_id number[] optional query
The chain ID(s) to request the data for. You can specify multiple chain IDs, up to a maximum of 55. Use repeated query parameters, e.g., `?chain_id=20&chain_id=56`. Optional, because a single chain can as well be specified as a subdomain
Example: [20,56,1]
include_stats string optional query
Example: "false"
resolve_metadata_links string optional query
Example: "false"

Responses

200 Success
application/json
data object[] REQUIRED
Array of:
name string
description string
image_url string
banner_image_url string
featured_image_url string
external_link string
stats object
owner_count number REQUIRED
token_count number REQUIRED
mint_count number REQUIRED
total_quantity number REQUIRED
400 Bad request
500 Internal server error
curl -X GET 'https://data-api.b3.fun//insights/v1/nfts/collections/vitalik.eth'
const response = await fetch('https://data-api.b3.fun//insights/v1/nfts/collections/vitalik.eth', {
  method: 'GET'
});

const data = await response.json();
console.log(data);
import requests

response = requests.get('https://data-api.b3.fun//insights/v1/nfts/collections/vitalik.eth')
print(response.json())
200 Response
{
  "data": [
    {
      "name": "<string>",
      "description": "<string>",
      "image_url": "<string>",
      "banner_image_url": "<string>",
      "featured_image_url": "<string>",
      "external_link": "<string>",
      "stats": {
        "owner_count": 123,
        "token_count": 123,
        "mint_count": 123,
        "total_quantity": 123
      }
    }
  ]
}
GET /insights/v1/nfts/collections/{contract_address}
Ask a question... ⌘I